Subject: [Cfrg] Comments on draft-mcgrew-fundamental-ecc-00

From: Sean Shen <[email-masked]>
Date: Thu, 23 Jul 2009 15:14:53 +0800

Hi, David,
Thank you for providing such a document. As a ecc fan, I like this document
very much, :)
I was not able to finish reading the whole document yet, but get a few
comments so far:
#1
section 2.1
When you are discribing "set Zp = { 0, 1, 2, ..., p-1 }", looks like you do
not limit p to be a prime. 
Usually Zn is used for arbitary modular group, Zp refer to modular group
with prime order.
 
#2
section 2.2
By definition, the operation "*" defined on any group have a property of
associative law: (a*b)*c=a*(b*c). 
The operation "*" is called "+" when it also has another good property
called commutative law, i.e. a+b=b+a.
 
#3
section
This document only cover curves over finite fields with Characteristic>3. Is
there a reason for this? I 
imagine becuase Certicom's recent IPR disclosure provide royalty free
license for 3 ECP curves? I don't 
know whether IETF will more recommend ECP curse because of this disclosure,
but I think this is a good 
reason to only describe ECP curves. If it is the reason, might be good to
mention it.  
I took a brief looks at EC groups defined for IKE and TLS:
For IKE and IKEv2:
 RFC2409 and subsequetly IANA defined, 10 EC2N groups (Characteristic=2)
 (http://www.iana.org/assignments/ipsec-registry)
 RFC4753, 3 ECP groups (Characteristic>3)
For TLS:
 RFC4492, 14 EC2N groups, 11 ECP groups
This is a very rough look and can not be considered a survey. 
 
I will keep reading and hope to add more comments.
 
Best,
 
Sean